
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  SNMPManager.java
 *  2003-2004 Vouriot Thierry
 *  yeri@fr.st
 *  http://www.yeri.fr.st
 *
 */
package snmpmanager;

import java.awt.*;
import java.io.*;
import java.util.*;
import javax.swing.plaf.metal.MetalLookAndFeel;
import javax.swing.*;
import toolkit.gui.*;
import snmpmanager.gui.*;

/** Class principale
 */
public class SNMPManager {
    
    /** Version */
    public static final String RELEASE = "1.0";
    
    /** Build */
    public static final String BUILD = "040216";
    
    /** Site web */
    public static final String WEB = "http://www.yeri.fr.st";
    
    /** Mode "debug" */
    public static final boolean DEBUG = false;
    
    /** Rpertoire home */
    public static final File HOME_DIRECTORY = new File(System.getProperty("user.home"));
    
    /** Table contenant toutes les actions */
    private static final HashMap m_ActionHash = new HashMap();
    
    /** Chemin d'accs du rpertoire o est install SNMPManager */
    private static String m_AppliHome = null;
    
    /** Initialise le look & feel Metal
     */
    public static void initUI() {
        MetalLookAndFeel.setCurrentTheme(new CustomMetalTheme());
    }
    
    /** Retourne le chemin d'accs du rpertoire o est install Elife
     *  @return chemin d'accs de l'appli
     */
    public static String getAppliHome() {
        
        if (m_AppliHome == null) {
            String classpath = System.getProperty("java.class.path");
            int index = classpath.toLowerCase().indexOf("merja.jar");
            int start = classpath.lastIndexOf(File.pathSeparator,index) + 1;
            // if started with java -jar Merja.jar
            if(classpath.equalsIgnoreCase("merja.jar")) {
                m_AppliHome = System.getProperty("user.dir");
            }
            else if(index > start) {
                m_AppliHome = classpath.substring(start,index - 1);
            }
            else m_AppliHome = System.getProperty("user.dir");
        }
        return m_AppliHome;
    }
    
    /** Point de dpart de l'application
     * @param argv arguments de la ligne de commande
     */
    public static void main(String [] argv) {
        MainFrame frm = new MainFrame();
        frm.show();
        frm.validate();
        frm.repaint();
    }
}
