/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  ManagerTabbedPane.java
 *  2003-2004 Vouriot Thierry
 *  yeri@fr.st
 *  http://www.yeri.fr.st
 *
 */
package snmpmanager.gui;

import java.awt.event.*;
import java.awt.*;
import javax.swing.*;
import toolkit.gui.*;

/** <CODE>TabbedPane</CODE> contenant les panels de l'applications */
public class ManagerTabbedPane extends JTabbedPane {
    public InquisitorPanel m_inquisitorPanel;
    public TrapsPanel m_trapsPanel;
    public ManagerPanel m_managerPanel;
    public DocPanel m_docPanel;
    
    /** Constructeur */
    ManagerTabbedPane(LogPanel logPanel, MainFrame frame) {
        m_inquisitorPanel = new InquisitorPanel(frame, logPanel);
        m_trapsPanel = new TrapsPanel(frame, logPanel);
        m_managerPanel = new ManagerPanel(frame, logPanel);
        m_docPanel = new DocPanel(frame, logPanel);
        
        this.addTab("Manager", m_managerPanel);
        this.addTab("Inquisitor", m_inquisitorPanel);
        this.addTab("Traps", m_trapsPanel);
        this.addTab("Help", m_docPanel);
    }
}