/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  AudioFilePlayer.java
 *  2003-2004 Vouriot Thierry
 *  yeri@fr.st
 *  http://www.yeri.fr.st
 *
 */
package toolkit;

import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import java.util.jar.*;
import java.util.zip.*;

/** Classe permettant de jouer un son */
public class AudioFilePlayer {
    /** Fichier contenant le son  jouer */
    private String m_soundFile;
    
    /** Constructeur
     * @param soundFileURL url du son
     */
    public AudioFilePlayer(URL soundFileURL) {
        this.m_soundFile = soundFileURL.getFile();
    }
    
    /** Joue le son */
    public void play() {
        try {
            File audioFile = new File(m_soundFile);
            AudioFileFormat audioFileFormat = AudioSystem.getAudioFileFormat(audioFile);
            AudioFormat audioFormat = audioFileFormat.getFormat(); 
            DataLine.Info dataLineInfo = new DataLine.Info(Clip.class, audioFormat); 
            Clip audioClip = (Clip)AudioSystem.getLine(dataLineInfo);
            AudioInputStream audioInputStream = AudioSystem.getAudioInputStream(audioFile);
            audioClip.open(audioInputStream);
            audioClip.start();
        }
        catch (Exception e) {
            // do nothing...
            System.out.println("AudioFilePlayer::play : " +e);
        }   
    }  
}